{% extends 'base.html' %}
{% load static %}

{% block title %}Служба уведомлений{% endblock title %}

{% block main %}

    <div id="kt_content_container" class="d-flex flex-column-fluid align-items-start container-xxl mb-8">
        <div class="content flex-row-fluid" id="kt_content">

            <div class="row g-5">
                <div class="col-md-6 mb-10">
                    <div class="card mb-5">
                        <div class="card-header border-0">
                            <h3 class="card-title align-items-start flex-column">
                                <span class="card-label fw-bolder fs-3">Общая статистика</span>
                            </h3>
                        </div>
                        <hr>
                        <div class="card-body p-0 d-flex flex-column">
                            <div class="card-px pb-5 flex-grow-1">
                                <div class="row g-0 mt-5 mb-5">
                                    <div class="col my-2">
                                        <div class="d-flex align-items-center me-2">
                                            <div class="symbol symbol-60px me-3">
                                                <a href="#">
                                                    <div class="symbol-label bg-light-primary bg-hover-light-primary">
                                                    <span class="svg-icon svg-icon-1 svg-icon-primary">
                                                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                                             viewBox="0 0 24 24" fill="none">
                                                            <path d="M16.0173 9H15.3945C14.2833 9 13.263 9.61425 12.7431 10.5963L12.154 11.7091C12.0645 11.8781 12.1072 12.0868 12.2559 12.2071L12.6402 12.5183C13.2631 13.0225 13.7556 13.6691 14.0764 14.4035L14.2321 14.7601C14.2957 14.9058 14.4396 15 14.5987 15H18.6747C19.7297 15 20.4057 13.8774 19.912 12.945L18.6686 10.5963C18.1487 9.61425 17.1285 9 16.0173 9Z"
                                                                  fill="black"/>
                                                                <rect opacity="0.3" x="14" y="4" width="4" height="4"
                                                                      rx="2" fill="black"/>
                                                            <path d="M4.65486 14.8559C5.40389 13.1224 7.11161 12 9 12C10.8884 12 12.5961 13.1224 13.3451 14.8559L14.793 18.2067C15.3636 19.5271 14.3955 21 12.9571 21H5.04292C3.60453 21 2.63644 19.5271 3.20698 18.2067L4.65486 14.8559Z"
                                                                  fill="black"/>
                                                                <rect opacity="0.3" x="6" y="5" width="6" height="6"
                                                                      rx="3" fill="black"/>
                                                        </svg>
                                                    </span>
                                                    </div>
                                                </a>
                                            </div>
                                            <div>
                                                <div class="fs-4 text-dark fw-bolder">{{ client_count }}</div>
                                                <div class="fs-7 text-muted fw-bold">Клиенты</div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col my-2">
                                        <div class="d-flex align-items-center me-2">
                                            <div class="symbol symbol-60px me-3">
                                                <a href="#">
                                                    <div class="symbol-label bg-light-primary bg-hover-light-primary">
                                                    <span class="svg-icon svg-icon-1 svg-icon-primary">
                                                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                                             viewBox="0 0 24 24" fill="none">
                                                            <path d="M20 8H16C15.4 8 15 8.4 15 9V16H10V17C10 17.6 10.4 18 11 18H16C16 16.9 16.9 16 18 16C19.1 16 20 16.9 20 18H21C21.6 18 22 17.6 22 17V13L20 8Z"
                                                                  fill="black"/>
                                                                <path opacity="0.3"
                                                                      d="M20 18C20 19.1 19.1 20 18 20C16.9 20 16 19.1 16 18C16 16.9 16.9 16 18 16C19.1 16 20 16.9 20 18ZM15 4C15 3.4 14.6 3 14 3H3C2.4 3 2 3.4 2 4V13C2 13.6 2.4 14 3 14H15V4ZM6 16C4.9 16 4 16.9 4 18C4 19.1 4.9 20 6 20C7.1 20 8 19.1 8 18C8 16.9 7.1 16 6 16Z"
                                                                      fill="black"/>
                                                        </svg>
                                                    </span>
                                                    </div>
                                                </a>
                                            </div>
                                            <div>
                                                <div class="fs-4 text-dark fw-bolder">{{ dispatch_count }}</div>
                                                <div class="fs-7 text-muted fw-bold">Рассылки</div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row g-0">
                                    <div class="col my-2">
                                        <div class="d-flex align-items-center me-2">
                                            <div class="symbol symbol-60px me-3">
                                                <a href="#">
                                                    <div class="symbol-label bg-light-primary bg-hover-light-primary">
                                                    <span class="svg-icon svg-icon-1 svg-icon-primary">
                                                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                                             viewBox="0 0 24 24" fill="none">
                                                            <path d="M22 7H2V11H22V7Z" fill="black"></path>
                                                            <path opacity="0.3"
                                                                  d="M21 19H3C2.4 19 2 18.6 2 18V6C2 5.4 2.4 5 3 5H21C21.6 5 22 5.4 22 6V18C22 18.6 21.6 19 21 19ZM14 14C14 13.4 13.6 13 13 13H5C4.4 13 4 13.4 4 14C4 14.6 4.4 15 5 15H13C13.6 15 14 14.6 14 14ZM16 15.5C16 16.3 16.7 17 17.5 17H18.5C19.3 17 20 16.3 20 15.5C20 14.7 19.3 14 18.5 14H17.5C16.7 14 16 14.7 16 15.5Z"
                                                                  fill="black"></path>
                                                        </svg>
                                                    </span>
                                                    </div>
                                                </a>
                                            </div>
                                            <div>
                                                <div class="fs-4 text-dark fw-bolder">{{ message_count }}</div>
                                                <div class="fs-7 text-muted fw-bold">Сообщение</div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col my-2">
                                        <div class="d-flex align-items-center me-2">
                                            <div class="symbol symbol-60px me-3">
                                                <a href="#">
                                                    <div class="symbol-label bg-light-primary bg-hover-light-primary">
                                                    <span class="svg-icon svg-icon-1 svg-icon-primary">
                                                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                                             viewBox="0 0 24 24" fill="none">
                                                            <path opacity="0.3"
                                                                  d="M20 15H4C2.9 15 2 14.1 2 13V7C2 6.4 2.4 6 3 6H21C21.6 6 22 6.4 22 7V13C22 14.1 21.1 15 20 15ZM13 12H11C10.5 12 10 12.4 10 13V16C10 16.5 10.4 17 11 17H13C13.6 17 14 16.6 14 16V13C14 12.4 13.6 12 13 12Z"
                                                                  fill="black"></path>
                                                            <path d="M14 6V5H10V6H8V5C8 3.9 8.9 3 10 3H14C15.1 3 16 3.9 16 5V6H14ZM20 15H14V16C14 16.6 13.5 17 13 17H11C10.5 17 10 16.6 10 16V15H4C3.6 15 3.3 14.9 3 14.7V18C3 19.1 3.9 20 5 20H19C20.1 20 21 19.1 21 18V14.7C20.7 14.9 20.4 15 20 15Z"
                                                                  fill="black"></path>
                                                        </svg>
                                                    </span>
                                                    </div>
                                                </a>
                                            </div>
                                            <div>
                                                <div class="fs-4 text-dark fw-bolder">№</div>
                                                <div class="fs-7 text-muted fw-bold">Почта</div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card">
                        <div class="card-header border-0">
                            <h3 class="card-title align-items-start flex-column">
                                <span class="card-label fw-bolder fs-3">Статусы рассылки</span>
                            </h3>
                        </div>
                        <hr>
                        <div class="card-body p-0 d-flex flex-column">
                            <div class="card-px pb-5 flex-grow-1">
                                <div class="row g-0 mt-5 mb-5">
                                    <div class="col my-2">
                                        <div class="d-flex align-items-center me-2">
                                            <div class="symbol symbol-60px me-3">
                                                <div class="symbol-label bg-light-success">
                                                    <span class="svg-icon svg-icon-1 svg-icon-success">
                                                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                                             viewBox="0 0 24 24" fill="none">
                                                            <path opacity="0.3"
                                                                  d="M20 15H4C2.9 15 2 14.1 2 13V7C2 6.4 2.4 6 3 6H21C21.6 6 22 6.4 22 7V13C22 14.1 21.1 15 20 15ZM13 12H11C10.5 12 10 12.4 10 13V16C10 16.5 10.4 17 11 17H13C13.6 17 14 16.6 14 16V13C14 12.4 13.6 12 13 12Z"
                                                                  fill="black"></path>
                                                            <path d="M14 6V5H10V6H8V5C8 3.9 8.9 3 10 3H14C15.1 3 16 3.9 16 5V6H14ZM20 15H14V16C14 16.6 13.5 17 13 17H11C10.5 17 10 16.6 10 16V15H4C3.6 15 3.3 14.9 3 14.7V18C3 19.1 3.9 20 5 20H19C20.1 20 21 19.1 21 18V14.7C20.7 14.9 20.4 15 20 15Z"
                                                                  fill="black"></path>
                                                        </svg>
                                                    </span>
                                                </div>
                                            </div>
                                            <div>
                                                <div class="fs-4 text-dark fw-bolder"></div>
                                                <div class="fs-7 text-muted fw-bold">Завершенных</div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col my-2">
                                        <div class="d-flex align-items-center me-2">
                                            <div class="symbol symbol-60px me-3">
                                                <div class="symbol-label bg-light-info">
                                                    <span class="svg-icon svg-icon-1 svg-icon-info">
                                                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                                             viewBox="0 0 24 24" fill="none">
                                                            <path opacity="0.3"
                                                                  d="M20 15H4C2.9 15 2 14.1 2 13V7C2 6.4 2.4 6 3 6H21C21.6 6 22 6.4 22 7V13C22 14.1 21.1 15 20 15ZM13 12H11C10.5 12 10 12.4 10 13V16C10 16.5 10.4 17 11 17H13C13.6 17 14 16.6 14 16V13C14 12.4 13.6 12 13 12Z"
                                                                  fill="black"></path>
                                                            <path d="M14 6V5H10V6H8V5C8 3.9 8.9 3 10 3H14C15.1 3 16 3.9 16 5V6H14ZM20 15H14V16C14 16.6 13.5 17 13 17H11C10.5 17 10 16.6 10 16V15H4C3.6 15 3.3 14.9 3 14.7V18C3 19.1 3.9 20 5 20H19C20.1 20 21 19.1 21 18V14.7C20.7 14.9 20.4 15 20 15Z"
                                                                  fill="black"></path>
                                                        </svg>
                                                    </span>
                                                </div>
                                            </div>
                                            <div>
                                                <div class="fs-4 text-dark fw-bolder"></div>
                                                <div class="fs-7 text-muted fw-bold">В процеесе</div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col my-2">
                                        <div class="d-flex align-items-center me-2">
                                            <div class="symbol symbol-60px me-3">
                                                <div class="symbol-label">
                                                    <span class="svg-icon svg-icon-1 svg-icon-warning">
                                                        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24"
                                                             viewBox="0 0 24 24" fill="none">
                                                            <path opacity="0.3"
                                                                  d="M20 15H4C2.9 15 2 14.1 2 13V7C2 6.4 2.4 6 3 6H21C21.6 6 22 6.4 22 7V13C22 14.1 21.1 15 20 15ZM13 12H11C10.5 12 10 12.4 10 13V16C10 16.5 10.4 17 11 17H13C13.6 17 14 16.6 14 16V13C14 12.4 13.6 12 13 12Z"
                                                                  fill="black"></path>
                                                            <path d="M14 6V5H10V6H8V5C8 3.9 8.9 3 10 3H14C15.1 3 16 3.9 16 5V6H14ZM20 15H14V16C14 16.6 13.5 17 13 17H11C10.5 17 10 16.6 10 16V15H4C3.6 15 3.3 14.9 3 14.7V18C3 19.1 3.9 20 5 20H19C20.1 20 21 19.1 21 18V14.7C20.7 14.9 20.4 15 20 15Z"
                                                                  fill="black"></path>
                                                        </svg>
                                                    </span>
                                                </div>
                                            </div>
                                            <div>
                                                <div class="fs-4 text-dark fw-bolder"></div>
                                                <div class="fs-7 text-muted fw-bold">В ожидании</div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-6 mb-5 mb-10 ">
                    <div class="card h-100">
                        <div class="card-header border-0 pt-5">
                            <h3 class="card-title align-items-start flex-column">
                                <span class="card-label fw-bolder fs-3 mb-1">Плановый ремонт</span>
                            </h3>
                            <div class="card-toolbar">
                                <ul class="nav">
                                    <li class="nav-item">
                                        <a class="nav-link btn btn-sm btn-color-muted btn-active btn-active-secondary fw-bolder px-4 active"
                                           data-bs-toggle="tab" href="#vehicle_day">Просрочено</a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link btn btn-sm btn-color-muted btn-active btn-active-secondary fw-bolder px-4 me-1"
                                           data-bs-toggle="tab" href="#vehicle_week">Неделя</a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link btn btn-sm btn-color-muted btn-active btn-active-secondary fw-bolder px-4 me-1"
                                           data-bs-toggle="tab" href="#vehicle_month">Месяц</a>
                                    </li>
                                </ul>
                            </div>
                        </div>
                        <hr>
                        <div class="card-body py-3">
                            <div class="tab-content" style="opacity: 0">
                                <div class="tab-pane fade show active" id="vehicle_day">
                                    <div class="table-responsive">
                                        <table class="table align-middle gs-0 gy-3" id="table_past">
                                            <thead>
                                            <tr>
                                                <th class="p-0 min-w-70px">Оборудование</th>
                                                <th class="p-0 min-w-70px text-end">Компонент</th>
                                                <th class="p-0 min-w-70px text-end">Дней осталось</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <div class="tab-pane fade show active" id="vehicle_week">
                                    <div class="table-responsive">
                                        <table class="table align-middle gs-0 gy-3" id="table_week">
                                            <thead>
                                            <tr>
                                                <th class="p-0 min-w-70px">Оборудование</th>
                                                <th class="p-0 min-w-70px text-end">Компонент</th>
                                                <th class="p-0 min-w-70px text-end">Дней осталось</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                                <div class="tab-pane fade show active" id="vehicle_month">
                                    <div class="table-responsive">
                                        <table class="table align-middle gs-0 gy-3" id="table_month">
                                            <thead>
                                            <tr>
                                                <th class="p-0 min-w-70px">Оборудование</th>
                                                <th class="p-0 min-w-70px text-end">Компонент</th>
                                                <th class="p-0 min-w-70px text-end">Дней осталось</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>

{% endblock %}

{% block script %}

{% endblock %}
